Loading...
Searching...
No Matches
Dune::DynamicMatrixSubdomainSolver< BCRSMatrix< K, Al >, X, Y > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners

`#include <dune/istl/overlappingschwarz.hh>`

Inheritance diagram for Dune::DynamicMatrixSubdomainSolver< BCRSMatrix< K, Al >, X, Y >:

## Public Types

typedef std::remove_const< M >::type | matrix_type
| The matrix type the preconditioner is for.
typedef X::field_type | field_type
typedef std::remove_const< M >::type | rilu_type
typedef X | domain_type
| The domain type of the preconditioner.
typedef Y | range_type
| The range type of the preconditioner.

## Public Member Functions

void | apply (DynamicVector< field_type > &v, DynamicVector< field_type > &d)
| Apply the subdomain solver.
template<class S>
void | setSubMatrix (const M &BCRS, S &rowset)
| Set the data of the local problem.

## Static Public Attributes

static constexpr size_t | n = std::decay_t<decltype(Impl::asMatrix(std::declval<K>()))>::rows

## Member Typedef Documentation

## domain_type

template<class K, class Al, class X, class Y>

typedef X Dune::DynamicMatrixSubdomainSolver< BCRSMatrix< K, Al >, X, Y >::domain_type

The domain type of the preconditioner.

## field_type

template<class K, class Al, class X, class Y>

typedef X::field_type Dune::DynamicMatrixSubdomainSolver< BCRSMatrix< K, Al >, X, Y >::field_type

## matrix_type

template<class K, class Al, class X, class Y>

typedef std::remove_const<M>::type Dune::DynamicMatrixSubdomainSolver< BCRSMatrix< K, Al >, X, Y >::matrix_type

The matrix type the preconditioner is for.

## range_type

template<class K, class Al, class X, class Y>

typedef Y Dune::DynamicMatrixSubdomainSolver< BCRSMatrix< K, Al >, X, Y >::range_type

The range type of the preconditioner.

## rilu_type

template<class K, class Al, class X, class Y>

typedef std::remove_const<M>::type Dune::DynamicMatrixSubdomainSolver< BCRSMatrix< K, Al >, X, Y >::rilu_type

## Member Function Documentation

## apply()

template<class K, class Al, class X, class Y>

void Dune::DynamicMatrixSubdomainSolver< BCRSMatrix< K, Al >, X, Y >::apply | ( | DynamicVector< field_type > & | v,
|  | DynamicVector< field_type > & | d )

inline

Apply the subdomain solver.

Apply the subdomain solver.

On entry v=? and d=b-A(x) (although this might not be computed in that way. On exit v contains the update

## setSubMatrix()

template<class K, class Al, class X, class Y>
template<class S>

void Dune::DynamicMatrixSubdomainSolver< BCRSMatrix< K, Al >, X, Y >::setSubMatrix | ( | const M & | BCRS,
|  | S & | rowset )

inline

Set the data of the local problem.

Parameters

  BCRS | The global matrix.
  rowset | The global indices of the local problem.

Template Parameters

  S | The type of the set with the indices.

## Member Data Documentation

## n

template<class K, class Al, class X, class Y>

size_t Dune::DynamicMatrixSubdomainSolver< BCRSMatrix< K, Al >, X, Y >::n = std::decay_t<decltype(Impl::asMatrix(std::declval<K>()))>::rows

static constexpr

The documentation for this class was generated from the following file:

- overlappingschwarz.hh